mbed TLS v2.23.0

Data Fields
mbedtls_net_context Struct Reference

`#include <net_sockets.h>`

## Data Fields
int | fd

## Detailed Description

Wrapper type for sockets.

Currently backed by just a file descriptor, but might be more in the future (eg two file descriptors for combined IPv4 + IPv6 support, or additional structures for hand-made UDP demultiplexing).

Definition at line 87 of file net_sockets.h.

## Field Documentation

## ◆ fd

int mbedtls_net_context::fd

The underlying file descriptor

Definition at line 89 of file net_sockets.h.

The documentation for this struct was generated from the following file:

- net_sockets.h